Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::ServerObject Class Reference

`#include <ImplRepoC.h>`

Inheritance diagram for ImplementationRepository::ServerObject:

[legend]
Collaboration diagram for ImplementationRepository::ServerObject:

[legend]
List of all members.

## Public Types
typedef ServerObject_ptr | _ptr_type
typedef ServerObject_var | _var_type
## Public Methods
virtual void | ping (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
ServerObject_ptr | _duplicate (ServerObject_ptr obj)
ServerObject_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ServerObject_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| ServerObject (int collocated=0)
virtual void | ImplementationRepository_ServerObject_setup_collocation (int collocated)
| ServerObject (IOP::IOR *ior, TAO_ORB_Core *orb_core=0)
| ServerObject (TAO_Stub *objref, CORBA::Boolean _tao_collocated=0, TAO_Abstract_ServantBase *servant=0, TAO_ORB_Core *orb_core=0)
virtual | ~ServerObject (void)
## Private Methods
| ServerObject (const ServerObject &)
void | operator= (const ServerObject &)
## Private Attributes
TAO::Collocation_Proxy_Broker * | the_TAO_ServerObject_Proxy_Broker_
## Friends
class | TAO::Narrow_Utils< ServerObject >

## Member Typedef Documentation

typedef ServerObject_ptr ImplementationRepository::ServerObject::_ptr_type

| Reimplemented from CORBA::Object.

typedef ServerObject_var ImplementationRepository::ServerObject::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

ImplementationRepository::ServerObject::ServerObject | ( | int | collocated = 0 | ) | `[protected]`

ACE_INLINE ImplementationRepository::ServerObject::ServerObject | ( | IOP::IOR * | ior,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

ACE_INLINE ImplementationRepository::ServerObject::ServerObject | ( | TAO_Stub * | objref,
|  | CORBA::Boolean | _tao_collocated = 0,
|  | TAO_Abstract_ServantBase * | servant = 0,
|  | TAO_ORB_Core * | orb_core = 0
| ) | `[protected]`

ImplementationRepository::ServerObject::~ServerObject | ( | void |  | ) | `[protected, virtual]`

ImplementationRepository::ServerObject::ServerObject | ( | const ServerObject & |  | ) | `[private]`

## Member Function Documentation

ImplementationRepository::ServerObject_ptr ImplementationRepository::ServerObject::_duplicate | ( | ServerObject_ptr | obj | ) | `[static]`

const char * ImplementationRepository::ServerObject::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean ImplementationRepository::ServerObject::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

ServerObject_ptr ImplementationRepository::ServerObject::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

ServerObject_ptr ImplementationRepository::ServerObject::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void ImplementationRepository::ServerObject::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object.

void ImplementationRepository::ServerObject::ImplementationRepository_ServerObject_setup_collocation | ( | int | collocated | ) | `[protected, virtual]`

CORBA::Boolean ImplementationRepository::ServerObject::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

void ImplementationRepository::ServerObject::operator= | ( | const ServerObject & |  | ) | `[private]`

void ImplementationRepository::ServerObject::ping | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

void ImplementationRepository::ServerObject::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

## Friends And Related Function Documentation

friend class TAO::Narrow_Utils< ServerObject >`[friend]`

## Member Data Documentation

TAO::Collocation_Proxy_Broker* ImplementationRepository::ServerObject::the_TAO_ServerObject_Proxy_Broker_`[private]`

The documentation for this class was generated from the following files:

- ImplRepoC.h
- ImplRepoC.cpp
- ImplRepoC.i